<?php
require('fpdf/fpdf.php');

require_once("../class/class.conectar.php");
require_once("../class/class.usudep.php");
require_once("../class/class.vacaciones.php");
require_once("../class/class.jefaturas.php");
require_once("../class/class.tipopersonal.php");
require_once("../class/class.tipocontrato.php");

$Objcon = new Conectar();
$conex = $Objcon->con();

$periodo=$_GET['periodo'];
$idtp=$_GET['idtp'];
$tcont=$_GET['tcont'];
$idj=$_GET['idj'];
$ids=$_GET['ids'];



//nombre de la jefaturas
$Objj = new Jefaturas();
$res_jef = array();$res_serv = array();
$res_jef=$Objj->buscar_jefatura($conex,$idj);
$res_serv=$Objj->buscar_jefatura_servicio($conex,$idj,$ids);
$nomjefatura=$res_jef[0]['nom'];
$nomservicio=$res_serv[0]['nom'];

//nombre de tipo de personal
$Objtp = new TipoPersonal();
$res_tp=array();
$res_tp=$Objtp->buscar_tipoper($conex,$idtp);
if($res_tp){
$descpersonal=$res_tp[0]['nom'];
}else{
$descpersonal="";	
}

//descripcion del tipo de contrato
if($tcont!=0){
$Objtc = new TipoContrato();
$desctipocont=$Objtc->busca_tp_cont($conex,$tcont);
}else{
$desctipocont = "ESSALUD - CAS";
}

class PDF extends FPDF
{

function ImprimirTablaSinColorTitulo($data,$x, $y, $h, $w,$alig,$dibuja)
	{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
	        $this->Cell($w,$h,$data,$dibuja,0,$alig,$dib);
	}

function ImprimirTablaHorario($data,$x, $y, $h, $w,$alig)
{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
   		for($j=0;$j<count($w);$j++)
		{
        $this->Cell($w[$j],$h,$data[$j],1,0,$alig,$dib);
		//$dib = !$dib;
		$x = $x + $w[$j];
		$this->SetXY($x,$y);
        }
}

function ImprimirTablaPersonal($data,$x, $y, $h, $w,$alig)
{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
   		for($j=0;$j<count($w);$j++)
		{
        $this->Cell($w[$j],$h,$data[$j],1,0,$alig[$j],$dib);
		//$dib = !$dib;
		$x = $x + $w[$j];
		$this->SetXY($x,$y);
        }
		
}

function ImprimirTablaFechas($data,$x, $y, $h, $w,$alig)
{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
   		for($j=0;$j<count($w);$j++)
		{
        $this->MultiCell($w[$j],$h,$data[$j],1,$alig[$j],$dib);
		$x = $x + $w[$j];
		$this->SetXY($x,$y);
        }
		
}

}

$Objud = new UsuarioDependencia();
$res_ud = array();
if($tcont!=0 and $idtp!=0 ){
$res_ud=$Objud->listar_per_dep_tp_c($conex,$idj,$ids,$idtp,$tcont);
}elseif($tcont==0 and $idtp!=0){
$res_ud=$Objud->listar_per_dep_tp($conex,$idj,$ids,$idtp);
}elseif($tcont!=0 and $idtp==0){
$res_ud=$Objud->listar_per_dep_c($conex,$idj,$ids,$tcont);
}else{
$res_ud=$Objud->listar_per_dep($conex,$idj,$ids);
}
$sumap=0;


$ini = 20;
$sumat = 260;
$alturaX = 25;
$ha = 5.9;
$texto1 = "( ".$desctipocont." )";

$texto2 = "VACACIONES DEL PERSONAL ASISTENCIAL PERIODO: ".$periodo;

$pdf=new PDF(); // Crea un objeto de la clase fpdf()
$pdf->AddPage('L'); // Agrega una hoja al documento.
$pdf->SetFont('Helvetica','B',10); //Establece la fuente a utilizar, el formato Negrita y el tamaño

//La siguiente instrucción escribe el siguiente mensaje.
$pdf->Image('../img/logoincor.jpg', 15, 10, 45, 16,'jpg');
$pdf->Image('../img/logoessalud.jpg', 240, 12, 40, 11,'jpg');

$pdf->ImprimirTablaSinColorTitulo($nomjefatura,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($nomservicio,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($descpersonal,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($texto1,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*1.3;
$pdf->ImprimirTablaSinColorTitulo($texto2,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*1.3;

$pdf->SetFont('Arial','B',6.5);
						$subtitulo = array('COD. PLANILLA','APELLIDOS Y NOMBRES','FEC. INGRESO','PERIODO DESCANSO FISICO','MES DESCANSO FISICO','FIRMA');
						$wh= array($sumat*0.09,$sumat*0.24,$sumat*0.08,$sumat*0.16,$sumat*0.16,$sumat*0.18);
						$pdf->ImprimirTablaHorario($subtitulo,30,$ini,$ha*1.5,$wh,'C');
						$ini = $ini + $ha*1.5;
	
$nn=0;	
for($a=0;$a<sizeof($res_ud);$a++){
$codigo=$res_ud[$a]['cod'];
$idtipocontrato=$res_ud[$a]['idtopcont'];
$mesingreso=$res_ud[$a]['mesing'];

$vacaprog=0;
$nn = $nn  + 1;
if($nn>22){
$ini = 20;
$alturaX = 25;
$ha = 5.9;
//$pdf=new PDF(); // Crea un objeto de la clase fpdf()
$pdf->AddPage('L'); // Agrega una hoja al documento.
$pdf->SetFont('Helvetica','B',10); //Establece la fuente a utilizar, el formato Negrita y el tamaño

//La siguiente instrucción escribe el siguiente mensaje.
$pdf->Image('../img/logoincor.jpg', 15, 10, 45, 16,'jpg');
$pdf->Image('../img/logoessalud.jpg', 240, 12, 40, 11,'jpg');

$pdf->ImprimirTablaSinColorTitulo($nomjefatura,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($nomservicio,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($descpersonal,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($texto1,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*1.3;
$pdf->ImprimirTablaSinColorTitulo($texto2,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*1.3;

$pdf->SetFont('Arial','B',6.5);
						$subtitulo = array('COD. PLANILLA','APELLIDOS Y NOMBRES','FEC. INGRESO','PERIODO DESCANSO FISICO','MES DESCANSO FISICO','FIRMA');
						$wh= array($sumat*0.09,$sumat*0.24,$sumat*0.08,$sumat*0.16,$sumat*0.16,$sumat*0.18);
						$pdf->ImprimirTablaHorario($subtitulo,30,$ini,$ha*1.5,$wh,'C');
						$ini = $ini + $ha*1.5;
						$nn=1;
}
$whlist= array($sumat*0.09,$sumat*0.24,$sumat*0.08);
$arraylist = array($res_ud[$a]['numplanilla'],$res_ud[$a]['nombre'], $res_ud[$a]['fingreso']);
$alinea = array('C','L','C');

$pdf->ImprimirTablaPersonal($arraylist,30, $ini, $ha, $whlist,$alinea);
//$ini = $ini + $ha;

//vacaciones programadas
$Objvp= new Vacaciones();
$res_vp = array();
$res_vp = $Objvp->aks_vacaciones_uno($conex,$codigo,$periodo,0); 

$arraymes = array();
$arraymes[] = array('idmes'=>'1','mes'=>'ENERO');
$arraymes[] = array('idmes'=>'2','mes'=>'FEBRERO');
$arraymes[] = array('idmes'=>'3','mes'=>'MARZO');
$arraymes[] = array('idmes'=>'4','mes'=>'ABRIL');
$arraymes[] = array('idmes'=>'5','mes'=>'MAYO');
$arraymes[] = array('idmes'=>'6','mes'=>'JUNIO');
$arraymes[] = array('idmes'=>'7','mes'=>'JULIO');
$arraymes[] = array('idmes'=>'8','mes'=>'AGOSTO');
$arraymes[] = array('idmes'=>'9','mes'=>'SETIEMBRE');
$arraymes[] = array('idmes'=>'10','mes'=>'OCTUBRE');
$arraymes[] = array('idmes'=>'11','mes'=>'NOVIEMBRE');
$arraymes[] = array('idmes'=>'12','mes'=>'DICIEMBRE');

//echo $sqlvacap."<br>";
$tipo=0;
$vacaprog ="";
$arraymesvaca ="";
$mesvaca ="";
$mesdetvaca ="";
if(count($res_vp)>0){
for($i=0;$i<sizeof($res_vp);$i++){
$vacaprog =$vacaprog.$res_vp[$i]['dias'];
$mesvaca = $res_vp[$i]['mesvaca'];
$mesdetvaca = $mesdetvaca.$arraymes[$mesvaca-1]['mes'];
}
}else{
$Objvp2= new Vacaciones();
$res_vp2 = array();
$res_vp2 = $Objvp->aks_vacaciones_uno($conex,$codigo,$periodo,2); 
	if(count($res_vp2)>0){
	for($i=0;$i<sizeof($res_vp2);$i++){
	$vacaprog =$vacaprog.$res_vp2[$i]['dias'];
	$mesvaca = $res_vp2[$i]['mesvaca'];
	$mesdetvaca = $mesdetvaca.$arraymes[$mesvaca-1]['mes'];
	}
	}else{
		$Objvp3= new Vacaciones();
		$res_vp3 = array();
		$res_vp3 = $Objvp->aks_vacaciones_uno($conex,$codigo,$periodo,1); 
		if(count($res_vp3)>0){
		for($i=0;$i<sizeof($res_vp3);$i++){
		$vacaprog =$vacaprog.$res_vp3[$i]['dias'];
		$mesvaca = $res_vp3[$i]['mesvaca'];
		$mesdetvaca = $mesdetvaca.$arraymes[$mesvaca-1]['mes'];
		}
		}else{
	
	$vacaprog ="";
	$mesvaca ="";
	}}
}///termina el if del else

$arrayvacaprog = array($vacaprog);
$arraymesvaca = array($mesdetvaca);
$alineaa = array('C');
$alineab = array('C');
$wha = array($sumat*0.16);
$whb = array($sumat*0.16);
$movx = 30 + $sumat*0.09 + $sumat*0.24 + $sumat*0.08;

if($mesingreso==12 && $idtipocontrato!=4){
$whax= array($sumat*0.5);
$arrayobss = array("NO PROGRAMAR");
$alineax = array('C');
$pdf->ImprimirTablaPersonal($arrayobss,$movx, $ini, $ha, $whax,$alineax);
}else{
$pdf->ImprimirTablaFechas($arrayvacaprog,$movx, $ini, $ha, $wha,$alineaa);
$movx = $movx + $sumat*0.16;  
$pdf->ImprimirTablaFechas($arraymesvaca,$movx, $ini, $ha, $whb,$alineab);

//observaciones
$movx = $movx + $sumat*0.16;
$whax= array($sumat*0.18);
$arrayobs = array("");
$alineax = array('C');
$pdf->ImprimirTablaPersonal($arrayobs,$movx, $ini, $ha, $whax,$alineax);
}
$ini = $ini + $ha;

}
$pdf->Output();
?>
